Class | Ferret::Search::Spans::SpanFirstQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

A SpanFirstQuery restricts a query to search in the first `end` bytes of a field. This is useful since often the most important information in a document is at the start of the document.

## Example

To find all documents where "ferret" is within the first 100 characters (really bytes);

      query = SpanFirstQuery.new(SpanTermQuery.new(:content, "ferret"), 100)

## NOTE

SpanFirstQuery only works with other SpanQueries.

### Methods

new

### Public Class methods

SpanFirstQuery.new(span_query, end) → query

Create a new SpanFirstQuery which matches all documents where `span_query` matches before `end` where `end` is a byte-offset from the start of the field

[Validate]